cvpnssn.vo

## Class CheckPrescrizioneNSSNResponse

- java.lang.Object
- - cvpnssn.vo.CheckPrescrizioneNSSNResponse

-     public class CheckPrescrizioneNSSNResponse
      extends java.lang.Object

  Risposta del web-service chkPrescrizioneNSSN. In caso di corretta ricezione, restituisce l'identificativo della transazione ed il Numero della Ricetta Bianca Elettronica (NRBE). In caso di errore, valorizza il campo elencoAnamaliaNSSN con i dettagli dell'anomalia riscontrata.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codEsitoInserimento` Codice dell’esito dell’inserimento.
    `private java.lang.String` | `cognomeMedico` Cognome del medico che ha effettuato la prescrizione
    `private java.lang.String` | `dataInserimento` Data inserimento ricetta negli archivi del SAC
    `private ElencoAnomaliaNSSN` | `elencoAnomaliaNSSN` Lista delle anomalie per le prescrizioni NSSN
    `private ElencoComunicazioni` | `elencoComunicazioneNSSN` Lista delle comunicazioni ritornate dal SAC per le prescrizioni NSSN
    `private java.lang.String` | `flagPromemoria` Valori: 0=il SAC ha prodotto il pdf del promemoria della ricetta, che si trova nel tag pdfPromemoria 1= il SAC non ha prodotto il pdf del promemoria della ricetta
    `private java.lang.String` | `nomeMedico` Nome del medico che ha effettuato la prescrizione
    `private java.lang.String` | `nrbe` Numero ricetta bianca elettronica (NRBE) in caso di inserimento andato a buon fine
    `private byte[]` | `pdfPromemoria` byte array del promemoria della ricetta dematerializzata in formato PDF
    `private java.lang.String` | `pinNrbe` Numero breve univoco per paziente e per anno di prescrizione
    `private java.lang.String` | `protocolloTransazione` Identificativo univoco della transazione, sempre valorizzato

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckPrescrizioneNSSNResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodEsitoInserimento()`
    `java.lang.String` | `getCognomeMedico()`
    `java.lang.String` | `getDataInserimento()`
    `ElencoAnomaliaNSSN` | `getElencoAnomaliaNSSN()`
    `ElencoComunicazioni` | `getElencoComunicazioneNSSN()`
    `java.lang.String` | `getFlagPromemoria()`
    `java.lang.String` | `getNomeMedico()`
    `java.lang.String` | `getNrbe()`
    `byte[]` | `getPdfPromemoria()`
    `java.lang.String` | `getPinNrbe()`
    `java.lang.String` | `getProtocolloTransazione()`
    `void` | `setCodEsitoInserimento(java.lang.String codEsitoInserimento)`
    `void` | `setCognomeMedico(java.lang.String cognomeMedico)`
    `void` | `setDataInserimento(java.lang.String dataInserimento)`
    `void` | `setElencoAnomaliaNSSN(ElencoAnomaliaNSSN elencoAnomaliaNSSN)`
    `void` | `setElencoComunicazioneNSSN(ElencoComunicazioni elencoComunicazioneNSSN)`
    `void` | `setFlagPromemoria(java.lang.String flagPromemoria)`
    `void` | `setNomeMedico(java.lang.String nomeMedico)`
    `void` | `setNrbe(java.lang.String nrbe)`
    `void` | `setPdfPromemoria(byte[] pdfPromemoria)`
    `void` | `setPinNrbe(java.lang.String pinNrbe)`
    `void` | `setProtocolloTransazione(java.lang.String protocolloTransazione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protocolloTransazione

          private java.lang.String protocolloTransazione

      Identificativo univoco della transazione, sempre valorizzato

    - #### nrbe

          private java.lang.String nrbe

      Numero ricetta bianca elettronica (NRBE) in caso di inserimento andato a buon fine

    - #### pinNrbe

          private java.lang.String pinNrbe

      Numero breve univoco per paziente e per anno di prescrizione

    - #### dataInserimento

          private java.lang.String dataInserimento

      Data inserimento ricetta negli archivi del SAC

    - #### codEsitoInserimento

          private java.lang.String codEsitoInserimento

      Codice dell’esito dell’inserimento.Valori possibili:
      - 0000 = inserimento andato a buon fine senza presenza di segnalazioni
      - 0001 = inserimento andato a buon fine ma con presenza di segnalazioni
      - 9999 = inserimento non avvenuto

    - #### nomeMedico

          private java.lang.String nomeMedico

      Nome del medico che ha effettuato la prescrizione

    - #### cognomeMedico

          private java.lang.String cognomeMedico

      Cognome del medico che ha effettuato la prescrizione

    - #### elencoComunicazioneNSSN

          private ElencoComunicazioni elencoComunicazioneNSSN

      Lista delle comunicazioni ritornate dal SAC per le prescrizioni NSSN

    - #### elencoAnomaliaNSSN

          private ElencoAnomaliaNSSN elencoAnomaliaNSSN

      Lista delle anomalie per le prescrizioni NSSN

    - #### flagPromemoria

          private java.lang.String flagPromemoria

      Valori:
      - 0=il SAC ha prodotto il pdf del promemoria della ricetta, che si trova nel tag pdfPromemoria
      - 1= il SAC non ha prodotto il pdf del promemoria della ricetta

    - #### pdfPromemoria

          private byte[] pdfPromemoria

      byte array del promemoria della ricetta dematerializzata in formato PDF

  - ### Constructor Detail

    - #### CheckPrescrizioneNSSNResponse

          public CheckPrescrizioneNSSNResponse()

  - ### Method Detail

    - #### getProtocolloTransazione

          public java.lang.String getProtocolloTransazione()

    - #### setProtocolloTransazione

          public void setProtocolloTransazione(java.lang.String protocolloTransazione)

    - #### getNrbe

          public java.lang.String getNrbe()

    - #### setNrbe

          public void setNrbe(java.lang.String nrbe)

    - #### getPinNrbe

          public java.lang.String getPinNrbe()

    - #### setPinNrbe

          public void setPinNrbe(java.lang.String pinNrbe)

    - #### getDataInserimento

          public java.lang.String getDataInserimento()

    - #### setDataInserimento

          public void setDataInserimento(java.lang.String dataInserimento)

    - #### getCodEsitoInserimento

          public java.lang.String getCodEsitoInserimento()

    - #### setCodEsitoInserimento

          public void setCodEsitoInserimento(java.lang.String codEsitoInserimento)

    - #### getNomeMedico

          public java.lang.String getNomeMedico()

    - #### setNomeMedico

          public void setNomeMedico(java.lang.String nomeMedico)

    - #### getCognomeMedico

          public java.lang.String getCognomeMedico()

    - #### setCognomeMedico

          public void setCognomeMedico(java.lang.String cognomeMedico)

    - #### getElencoComunicazioneNSSN

          public ElencoComunicazioni getElencoComunicazioneNSSN()

    - #### setElencoComunicazioneNSSN

          public void setElencoComunicazioneNSSN(ElencoComunicazioni elencoComunicazioneNSSN)

    - #### getElencoAnomaliaNSSN

          public ElencoAnomaliaNSSN getElencoAnomaliaNSSN()

    - #### setElencoAnomaliaNSSN

          public void setElencoAnomaliaNSSN(ElencoAnomaliaNSSN elencoAnomaliaNSSN)

    - #### getFlagPromemoria

          public java.lang.String getFlagPromemoria()

    - #### setFlagPromemoria

          public void setFlagPromemoria(java.lang.String flagPromemoria)

    - #### getPdfPromemoria

          public byte[] getPdfPromemoria()

    - #### setPdfPromemoria

          public void setPdfPromemoria(byte[] pdfPromemoria)